summaryrefslogtreecommitdiffstats
path: root/source/xap/xlockmore/xlockmore.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xlockmore/xlockmore.SlackBuild')
-rwxr-xr-xsource/xap/xlockmore/xlockmore.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/source/xap/xlockmore/xlockmore.SlackBuild b/source/xap/xlockmore/xlockmore.SlackBuild
new file mode 100755
index 000000000..f25bf14e1
--- /dev/null
+++ b/source/xap/xlockmore/xlockmore.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=5.28
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -lcrypt"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-xlockmore
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+## Explode the package framework:
+#cd $PKG
+#tar xzvf $CWD/_xlockmore.tar.gz
+
+cd $TMP
+rm -rf xlockmore-$VERSION
+tar xvf $CWD/xlockmore-$VERSION.tar.bz2 || exit 1
+cd xlockmore-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/xlockmore.bitmap.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+mkdir -p $PKG/usr/include/X11/bitmaps
+cp $CWD/l-bob.xbm $PKG/usr/include/X11/bitmaps
+cp $CWD/s-bob.xbm $PKG/usr/include/X11/bitmaps
+cp $CWD/l-linux.xbm $PKG/usr/include/X11/bitmaps
+mkdir -p $PKG/usr/doc/xlockmore-$VERSION
+cp -a README $PKG/usr/doc/xlockmore-$VERSION/README
+cp -a docs/* $PKG/usr/doc/xlockmore-$VERSION
+cp -a $CWD/l-bob.README $PKG/usr/doc/xlockmore-$VERSION
+## Normal compile:
+#./configure --prefix=/usr --without-opengl --without-mesagl \
+# --without-dtsaver --without-rplay --without-nas --disable-bomb
+# Use MesaGL/OpenGL:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --without-dtsaver \
+ --without-ttf \
+ --without-gtk \
+ --without-rplay \
+ --without-nas \
+ --disable-bomb \
+ --without-motif \
+ --without-esound \
+ --without-gtk \
+ $ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+cd xlock
+
+mkdir -p $PKG/etc/X11/app-defaults
+cat XLock.ad > $PKG/etc/X11/app-defaults/XLock
+mkdir -p $PKG/usr/bin
+cat xlock > $PKG/usr/bin/xlock
+chown root.shadow $PKG/usr/bin/xlock
+chmod 2751 $PKG/usr/bin/xlock
+
+mkdir -p $PKG/usr/man/man1
+cat xlock.man | gzip -9c > $PKG/usr/man/man1/xlock.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/xlockmore-$VERSION-$ARCH-$BUILD.txz
+